Package org.gradle.api.artifacts

## Interface ArtifactView.ViewConfiguration

- All Superinterfaces:
    `HasAttributes`, `HasConfigurableAttributes<ArtifactView.ViewConfiguration>`
  Enclosing interface:
    ArtifactView

      public static interface ArtifactView.ViewConfiguration
      extends HasConfigurableAttributes<ArtifactView.ViewConfiguration>

  Configuration for a defined artifact view.
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArtifactView.ViewConfiguration` | `componentFilter​(Spec<? super ComponentIdentifier> componentFilter)` | Specify a filter for the components that should be included in this view.
    `boolean` | `isLenient()` | Determines whether the view should be resolved in a 'lenient' fashion.
    `ArtifactView.ViewConfiguration` | `lenient​(boolean lenient)` | Specify if the view should be resolved in a 'lenient' fashion.
    `void` | `setLenient​(boolean lenient)` | Specify if the view should be resolved in a 'lenient' fashion.
    `ArtifactView.ViewConfiguration` | `withVariantReselection()` | When invoked, this view will disregard existing attributes of its parent configuration and re-resolve the artifacts using only the attributes in the view's attribute container.

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

    - ### Methods inherited from interface org.gradle.api.attributes.HasConfigurableAttributes

      `attributes`

- - ### Method Detail

    - #### componentFilter

          ArtifactView.ViewConfiguration componentFilter​(Spec<? super ComponentIdentifier> componentFilter)

      Specify a filter for the components that should be included in this view. Only artifacts from components matching the supplied filter will be returned by `ArtifactView.getFiles()` or `ArtifactView.getArtifacts()`. This method cannot be called a multiple times for a view.

    - #### isLenient

          boolean isLenient()

      Determines whether the view should be resolved in a 'lenient' fashion. When set to `true`, this view will resolve as many artifacts and/or files as possible collecting any failures. When set to `false`, any failures will be propagated as exceptions when the view is resolved.

    - #### setLenient

          void setLenient​(boolean lenient)

      Specify if the view should be resolved in a 'lenient' fashion. When set to `true`, this view will resolve as many artifacts and/or files as possible collecting any failures. When set to `false`, any failures will be propagated as exceptions when the view is resolved.

    - #### lenient

          ArtifactView.ViewConfiguration lenient​(boolean lenient)

      Specify if the view should be resolved in a 'lenient' fashion. When set to `true`, this view will resolve as many artifacts and/or files as possible collecting any failures. When set to `false`, any failures will be propagated as exceptions when the view is resolved.

    - #### withVariantReselection

          @Incubating
          ArtifactView.ViewConfiguration withVariantReselection()

      When invoked, this view will disregard existing attributes of its parent configuration and re-resolve the artifacts using only the attributes in the view's attribute container.

      This behavior cannot be unset on a particular view once this method is invoked.

      Since:
        7.5